export type StyleType = "fill" | "outline" | "text";

export type StyleColorVariants = "blue" | "pink" | "red" | "purple" | "yellow" | "sky" | "emerald" | "gray" | "dark-coral";

export type StyleGlobalVariants = "primary" | "base" | "secondary";

export type StyleColorVariantsMap<T> = {
  [Property in StyleColorVariants]: T;
};

export type StyleGlobalVarinatsMap<T> = {
  [Property in StyleGlobalVariants]: T;
}