export interface DTOModel<T extends {} | undefined> {
  status: number;
  type: string;
  message: string;
  description: string;
  data: T;
}

export interface FailureDTO {
  statusCode: number;
  message: string;
}

export interface GraphQLFailureDTO {
  errors: {code: string, message: string, name: string}[]
}

export const GRAPHQL_UNAUTHORIZED_KEY = "UNAUTHENTICATED";